## deroff 1.0

=== Makefile ===
# Makefile for deroff
# $Id: Makefile,v 1.1 1996/12/27 23:21:22 david Rel david $

prefix=/usr
LEXSRC=deroff.l
SRC=$(LEXSRC:.l=.c)
BIN=$(LEXSRC:.l=)
MAN=$(LEXSRC:.l=.1)

LEXFLAGS=-8
CCFLAGS=-Wall -DHAVE_GETOPT_LONG -O2

all:	$(BIN)

$(SRC): $(LEXSRC)
	$(LEX) $(LEXFLAGS) -t $^ > $@

$(BIN): $(SRC)
	$(CC) $(CCFLAGS) -o $@ $^ $(LDFLAGS)

install: $(MAN)
	install -s -o root -g root -m 755 $(BIN) $(prefix)/bin
	install    -o root -g root -m 644 $(MAN) $(prefix)/man/man1

clean:
	$(RM) *.o $(SRC) $(BIN)

distclean: clean
	$(RM) $(BIN)

=== debian/changelog ===
deroff (1.0-1) unstable; urgency=low

  * Initial Release.

 -- David Frey <david@eos.lugs.ch>  Wed, 25 Dec 1996 00:31:05 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: deroff
Section: text
Priority: optional
Maintainer: David Frey <david@eos.lugs.ch>
Standards-Version: 2.1.1.0

Package: deroff
Architecture: any
Depends: ${shlibs:Depends}
Description: removes roff and preprocessor constructs
 deroff strips out roff constructs and macros.  The preprocessor
 (eqn, tbl, pic, grap, and vgrind) sections are removed entirely.
 The resulting output is suitable for spelling.

=== debian/rules ===
#!/usr/bin/make -f
#
# Last updated: $Date: 1996/10/26 15:21:19 $ by $Author: david $
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package = $(shell sed -n -e '1s/\([:alpha:]*\) .*/\1/p' debian/changelog)

build:
	$(checkdir)
	$(MAKE) $p
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	# Create directories and install
	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/man/man1 debian/tmp/usr/bin
	$(MAKE) prefix=debian/tmp/usr install
	# Copy and gzip documentation
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/man/man1//$(package).1
	# Record the Info of the machine the package was build on (from debstd)
	dpkg -l gcc 'libc*' binutils ldso make dpkg-dev|\
	  awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }'\
	  > debian/tmp/usr/doc/$(package)/buildinfo.Debian
	# Compress the information in /usr/doc/$(package)
	gzip -9f debian/tmp/usr/doc/$(package)/{changelog,buildinfo}.Debian
	# Create shlibdeps file and control files
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	# Generate checksums
	(cd debian/tmp;md5sum `find . -name DEBIAN -prune -o -type f -print`)\
	  > debian/tmp/DEBIAN/md5sum
	chmod 644 debian/tmp/DEBIAN/md5sum
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).l -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## deroff 1.0-4

=== Makefile ===
# Makefile for deroff
# $Id: Makefile,v 1.2 1997/12/21 21:37:34 david Exp $

prefix=/usr
LEXSRC=deroff.l
SRC=$(LEXSRC:.l=.c)
BIN=$(LEXSRC:.l=)
MAN=$(LEXSRC:.l=.1)

LFLAGS=-8
CFLAGS=-g -O2 -Wall -DHAVE_GETOPT_LONG

all:	$(BIN)

$(SRC): $(LEXSRC)
	$(LEX) $(LFLAGS) -t $^ > $@

$(BIN): $(SRC)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

install: $(MAN)
	install -s -o root -g root -m 755 $(BIN) $(prefix)/bin
	install    -o root -g root -m 644 $(MAN) $(prefix)/man/man1

clean:
	$(RM) *.o $(SRC) $(BIN)

distclean: clean
	$(RM) $(BIN)

=== debian/changelog ===
deroff (1.0-4) unstable; urgency=low

  * changed md5sums-paths to relative pathnames with leading dot (lintian
    complained about that)
  * changed maintainer address to official (working) debian address

 -- David Frey <dfrey@debian.org>  Wed, 11 Feb 1998 00:41:29 +0100

deroff (1.0-3) unstable; urgency=low

  * changed maintainer address back to <David.Frey@eos.lugs.ch>
  * updated to Standard 2.3.0.1
  * renamed md5sum to md5sums

 -- David Frey <david@eos.lugs.ch>  Sun, 21 Dec 1997 22:23:47 +0100

deroff (1.0-2) unstable; urgency=low

  * recompiled for libc6
  * changed maintainer address to dFrey@debian.org
  * added md5sums in debian/rules

 -- David Frey <david@eos.lugs.ch>  Fri, 12 Sep 1997 23:10:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: deroff
 Section: text
 Priority: optional
-Maintainer: David Frey <david@eos.lugs.ch>
-Standards-Version: 2.1.1.0
+Maintainer: David Frey <dfrey@debian.org>
+Standards-Version: 2.3.0.1
 
 Package: deroff
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#
# Last updated: $Date: 1996/10/26 15:21:19 $ by $Author: david $
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package = $(shell sed -n -e '1s/\([:alpha:]*\) .*/\1/p' debian/changelog)

build:
	$(MAKE) $p && touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep: build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d usr/bin usr/doc/$(package) usr/man/man1
	$(MAKE) prefix=debian/tmp/usr install
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
	gzip -9f debian/tmp/usr/man/man1/$(package).1
	dpkg-shlibdeps $(package)
	install -d debian/tmp/DEBIAN
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## deroff 1.1-2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for deroff
-# $Id: Makefile,v 1.2 1997/12/21 21:37:34 david Exp $
+# $Id: Makefile,v 1.3 1999/10/10 19:08:05 david Exp $
 
 prefix=/usr
 LEXSRC=deroff.l
@@ -20,7 +20,7 @@
 
 install: $(MAN)
 	install -s -o root -g root -m 755 $(BIN) $(prefix)/bin
-	install    -o root -g root -m 644 $(MAN) $(prefix)/man/man1
+	install    -o root -g root -m 644 $(MAN) $(prefix)/share/man/man1
 
 clean:
 	$(RM) *.o $(SRC) $(BIN)

=== debian/changelog ===
deroff (1.1-2) unstable; urgency=low

  * update for FHS-compliance.
  * removed warnings about strerror by including <string.h> instead
    of <strings.h>

 -- David Frey <dfrey@debian.org>  Sun, 10 Oct 1999 20:58:12 +0200

deroff (1.1-1) unstable; urgency=low

  * recompile for potato.
  * Fixed error in not stripping out two-character font changes
    [e.g. \f(CW]

 -- David Frey <dfrey@debian.org>  Sat, 15 May 1999 20:37:08 +0200

=== debian/control ===
Source: deroff
Section: text
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.5.0.0

Package: deroff
Architecture: any
Depends: ${shlibs:Depends}
Description: removes roff and preprocessor constructs
 deroff strips out roff constructs and macros.  The preprocessor
 (eqn, tbl, pic, grap, and vgrind) sections are removed entirely.
 The resulting output is suitable for spelling with e.g. spell(1).

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#                                                            -*- Makefile -*-
 #
 # Last updated: $Date: 1996/10/26 15:21:19 $ by $Author: david $
 #
@@ -13,6 +14,9 @@
 
 # The name of the package (for example, `emacs').
 package = $(shell sed -n -e '1s/\([:alpha:]*\) .*/\1/p' debian/changelog)
+tmp	:= debian/tmp
+doc	:= usr/share/doc/$(package)
+man1	:= usr/share/man/man1
 
 build:
 	$(MAKE) $p && touch build
@@ -20,7 +24,7 @@
 clean:
 	-rm -f build
 	-$(MAKE) -i distclean
-	-rm -rf *~ debian/tmp debian/*~ debian/files*
+	-rm -rf *~ $(tmp) debian/*~ debian/files*
 
 binary-indep: build
 # There are no architecture-independent files to be uploaded
@@ -29,22 +33,25 @@
 
 binary-arch: build
 	-rm -rf debian/tmp
-	install -d debian/tmp
-	cd debian/tmp && install -d usr/bin usr/doc/$(package) usr/man/man1
-	$(MAKE) prefix=debian/tmp/usr install
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	gzip -9f debian/tmp/usr/doc/$(package)/*
-	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
-	gzip -9f debian/tmp/usr/man/man1/$(package).1
+	install -d $(tmp)
+	cd $(tmp) && install -d usr/bin $(doc) $(man1)
+	$(MAKE) prefix=$(tmp)/usr install
+	install -m 644 debian/changelog $(tmp)/$(doc)/changelog.Debian
+	gzip -9f $(tmp)/$(doc)/*
+	install -m 644 debian/copyright $(tmp)/$(doc)/copyright
+	gzip -9f $(tmp)/$(man1)/$(package).1
 	dpkg-shlibdeps $(package)
-	install -d debian/tmp/DEBIAN
-	cd debian/tmp &&\
+	strip $(tmp)/usr/bin/$(package)
+	install -d $(tmp)/DEBIAN
+	cd $(tmp) &&\
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
+	install -m 755 debian/postinst debian/postinst $(tmp)/DEBIAN
+	install -m 755 debian/prerm debian/prerm $(tmp)/DEBIAN
 	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
-	dpkg --build debian/tmp ..
+	chown -R root.root $(tmp)
+	chmod -R g-ws $(tmp)
+	dpkg --build $(tmp) ..
 
 # Below here is fairly generic really

## deroff 1.1-3

=== debian/changelog ===
deroff (1.1-3) unstable; urgency=low

  * recompile for woody.

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 22:47:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.5.0.0
+Standards-Version: 3.2.1
 
 Package: deroff
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	   > DEBIAN/md5sums
 	install -m 755 debian/postinst debian/postinst $(tmp)/DEBIAN
 	install -m 755 debian/prerm debian/prerm $(tmp)/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R g-ws $(tmp)
 	dpkg --build $(tmp) ..

## deroff 1.1-5

=== debian/changelog ===
deroff (1.1-5) unstable; urgency=low

  * do not set link to /usr/doc in postinst (fixes lintian bug)

 -- David Frey <dfrey@debian.org>  Sun, 16 Feb 2003 16:13:50 +0100

deroff (1.1-4) unstable; urgency=low

  * added Build-Depends line.

 -- David Frey <dfrey@debian.org>  Wed, 21 Aug 2002 22:56:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: deroff
+Build-Depends: flex
 Section: text
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.2.1
+Standards-Version: 3.5.8
 
 Package: deroff
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,7 @@
 	cd $(tmp) &&\
 	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
 	   > DEBIAN/md5sums
-	install -m 755 debian/postinst debian/postinst $(tmp)/DEBIAN
-	install -m 755 debian/prerm debian/prerm $(tmp)/DEBIAN
+	install -m 755 debian/prerm $(tmp)/DEBIAN
 	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R g-ws $(tmp)

## deroff 1.1-6

=== Makefile ===
# Makefile for deroff
# $Id: Makefile,v 1.3 1999/10/10 19:08:05 david Exp $

prefix=/usr
LEXSRC=deroff.l
SRC=$(LEXSRC:.l=.c)
BIN=$(LEXSRC:.l=)
MAN=$(LEXSRC:.l=.1)

LFLAGS=-Ca -f -8
CFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
CFLAGS += -Wall -Wstrict-prototypes -Wmissing-prototypes\
 -Wmissing-declarations -Wbad-function-cast -Wnested-externs\
 -Wcast-qual -Wcast-align -Wshadow -Wwrite-strings -Wpointer-arith\
 -Wformat\
 -DHAVE_GETOPT_LONG

INSTOPT=
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTOPT += -s
endif

all:	$(BIN)

$(SRC): $(LEXSRC)
	$(LEX) $(LFLAGS) -t $^ > $@

$(BIN): $(SRC)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

install: $(MAN)
	install $(INSTOPT) -o root -g root -m 755 $(BIN) $(prefix)/bin
	install -o root -g root -m 644 $(MAN) $(prefix)/share/man/man1

clean:
	$(RM) *.o $(SRC) $(BIN)

distclean: clean
	$(RM) $(BIN)

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 clean:
 	-rm -f build
 	-$(MAKE) -i distclean
-	-rm -rf *~ $(tmp) debian/*~ debian/files*
+	-rm -rf *~ $(tmp) debian/*~ debian/files* debian/substvars
 
 binary-indep: build
 # There are no architecture-independent files to be uploaded
@@ -51,6 +51,7 @@
 	chown -R root.root $(tmp)
 	chmod -R g-ws $(tmp)
 	dpkg --build $(tmp) ..
+	chmod a+r debian/files
 
 # Below here is fairly generic really

## deroff 1.1-7

=== debian/changelog ===
deroff (1.1-7) unstable; urgency=low

  * update to standard version 3.8.1.0
  * small changes in debian/rules (permissions of generated files)
  * orphaned package

 -- David Frey <david@eos.eos.lugs.ch>  Sun, 26 Apr 2009 22:33:22 +0200

deroff (1.1-6) unstable; urgency=low

  * update to standard version 3.7.2
  * handle DEB_BUILD_OPTIONS (closes: #436756)

 -- David Frey <dfrey@debian.org>  Sun, 19 Aug 2007 22:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Build-Depends: flex
 Section: text
 Priority: optional
-Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.8
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.8.1.0
 
 Package: deroff
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,9 @@
 	install -m 755 debian/prerm $(tmp)/DEBIAN
 	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
-	chmod -R g-ws $(tmp)
+	chmod -R g-ws,a+rX $(tmp)
 	dpkg --build $(tmp) ..
-	chmod a+r debian/files
+	chmod a+r debian/files debian/substvars
 
 # Below here is fairly generic really
